{
  "branches": [
    "main",
    { "name": "beta", "channel": "beta","prerelease": "${name.replace(/^beta$/, 'rc')}"},
    "patch/*"
  ],
  "plugins": [
    [
      "@semantic-release/commit-analyzer", {
        "preset": "conventionalcommits",
        "releaseRules": [
          {"breaking": true, "release": "major"},
          {"revert": true, "release": "patch"},
          {"type": "build", "release": "patch"},
          {"type": "ci", "release": "patch"},
          {"type": "docs", "release": "patch"},
          {"type": "feat", "release": "minor"},
          {"type": "fix", "release": "patch"},
          {"type": "perf", "release": "patch"},
          {"type": "refactor", "release": "patch"},
          {"type": "release", "release": false},
          {"type": "revert", "release": "patch"},
          {"type": "style", "release": "patch"},
          {"type": "test", "release": "patch"}
        ]
      }
    ],
    ["./scripts/semantic-release-helm", {
      "charts": "helm/{charts,deploy}/*"
    }],
    ["./scripts/semantic-release-installation-guide-yaml", {
      "files": "technical-docs/helm-installation-guide/*.{yml,yaml}"
    }],
    ["@semantic-release/exec", {
      "prepareCmd": "./scripts/update-conditional-helm-deps.sh"
    }],
    ["@semantic-release/release-notes-generator", {
      "preset": "conventionalcommits",
      "presetConfig": {
        "types": [
          { "type": "build", "section": "Build System" },
          { "type": "ci", "section": "Continuous Integration" },
          { "type": "docs", "section": "Documentation" },
          { "type": "feat", "section": "Features" },
          { "type": "fix", "section": "Bug Fixes" },
          { "type": "perf", "section": "Performance Improvements" },
          { "type": "refactor", "section": "Code Refactoring" },
          { "type": "revert", "section": "Reverts" },
          { "type": "style", "section": "Styles" },
          { "type": "test", "section": "Tests" }
        ]
      }
    }],
    "@semantic-release/changelog",
    [
      "@semantic-release/gitlab",
      {
        "successComment": false
      }
    ],
    ["@semantic-release/git", {
      "message": "release: ${nextRelease.version}\nIssue: fsc-nlx#32",
      "assets": [
        "technical-docs/helm-installation-guide/*.{yml,yaml}",
        "helm/{charts,deploy}/*/Chart.{yaml,lock}",
        "CHANGELOG.md"
      ]
    }]
  ]
}
